> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update card

> Update a card's details



## OpenAPI

````yaml patch /videos/{VIDEO_ID}/cards/{CARD_ID}
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Players
  - name: Services
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Uploads
  - name: Users
  - name: Videos
paths:
  /videos/{VIDEO_ID}/cards/{CARD_ID}:
    parameters:
      - $ref: '#/components/parameters/videoId'
      - $ref: '#/components/parameters/cardId'
    patch:
      tags:
        - Videos
      summary: Update card
      description: Update a card's details
      requestBody:
        $ref: '#/components/requestBodies/Card'
      responses:
        '200':
          $ref: '#/components/responses/Card'
        '404':
          $ref: '#/components/responses/Error404'
components:
  parameters:
    videoId:
      name: VIDEO_ID
      in: path
      description: ID of the video
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
    cardId:
      name: CARD_ID
      in: path
      description: ID of the card
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
  requestBodies:
    Card:
      required: true
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                description: A short label for the card
                type: string
                maxLength: 100
              show_at:
                description: The time-code the card should appear at, as HH:MM:SS
                type: string
                maxLength: 8
              hide_at:
                description: The time-code the card should hide at, as HH:MM:SS
                type: string
                maxLength: 8
              skip:
                description: Can the user skip/hide it?
                type: boolean
              top_text:
                description: The main text shown on the card
                type: string
                maxLength: 100
              bottom_text:
                description: The lower text shown on the card
                type: string
                maxLength: 100
              link:
                description: The URL viewers will be taken to if they click the card
                type: string
                format: uri
                maxLength: 100
  responses:
    Card:
      description: Card
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                $ref: '#/components/schemas/Card'
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
    Error404:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: false
              result:
                type: object
                example: {}
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                      example: Not found
            example:
              success: false
              result: {}
              links: {}
              errors:
                - message: Not found
  schemas:
    Card:
      type: object
      required:
        - id
        - name
        - show_at
        - hide_at
        - skip
        - top_text
        - bottom_text
        - link
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        name:
          type: string
          minLength: 1
          maxLength: 200
          example: Example
        show_at:
          type: string
          example: '00:00:05'
        hide_at:
          type: string
          example: '00:00:05'
        skip:
          type: boolean
          example: false
        top_text:
          type: string
          example: Example text
        bottom_text:
          type: string
          example: Bottom text
        link:
          type: string
          format: uri
          example: https://example.com
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````